CRAN Package Check Results for Package rpostgis

Last updated on 2024-06-14 05:58:37 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.5.1 36.54 336.79 373.33 OK
r-devel-linux-x86_64-debian-gcc 1.5.1 0.53 1.70 2.23 ERROR
r-devel-linux-x86_64-fedora-clang 1.5.1 454.16 OK
r-devel-linux-x86_64-fedora-gcc 1.5.1 432.04 OK
r-devel-windows-x86_64 1.5.1 28.00 204.00 232.00 OK
r-patched-linux-x86_64 1.5.1 34.90 321.35 356.25 OK
r-release-linux-x86_64 1.5.1 37.26 317.50 354.76 OK
r-release-macos-arm64 1.5.1 95.00 OK
r-release-macos-x86_64 1.5.1 166.00 OK
r-release-windows-x86_64 1.5.1 28.00 204.00 232.00 OK
r-oldrel-macos-arm64 1.5.1 104.00 OK
r-oldrel-macos-x86_64 1.5.1 411.00 OK
r-oldrel-windows-x86_64 1.5.1 38.00 266.00 304.00 OK

Check Details

Version: 1.5.1
Check: package dependencies
Result: ERROR Package required but not available: ‘purrr’ Packages suggested but not available for checking: 'RPostgres', 'testthat' See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’ manual. Flavor: r-devel-linux-x86_64-debian-gcc